import 'package:app_state/app_state.dart';
import 'package:flutter/material.dart';
import 'package:q/ui/app/route/page_factory.dart';
import 'package:q/ui/app/theme.dart';
import 'package:q/ui/splash/splash_screen.dart';

final pageStack = PageStack(
  bottomPage: SplashPage(),
  createPage: PageFactory.createPage,
);

final _routerDelegate = PageStackRouterDelegate(pageStack);
const _routeInformationParser = PageStackRouteInformationParser();
final _backButtonDispatcher = PageStackBackButtonDispatcher(pageStack);

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) => MaterialApp.router(
        routerDelegate: _routerDelegate,
        routeInformationParser: _routeInformationParser,
        backButtonDispatcher: _backButtonDispatcher,
        title: 'Title',
        themeMode: ThemeMode.system,
        theme: AppThemeData.getThemeData(Brightness.light),
        darkTheme: AppThemeData.getThemeData(Brightness.dark),
      );
}
