import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class AppConst {
  static const lightPrimaryTextColor = Color.fromARGB(255, 18, 13, 33);
  static const darkPrimaryTextColor = Colors.white;
}

class AppThemeData {
  static ThemeData getThemeData(Brightness brightness) {
    var textColor = brightness == Brightness.light
        ? AppConst.lightPrimaryTextColor
        : AppConst.darkPrimaryTextColor;
    return ThemeData(
      brightness: brightness,
      primarySwatch: Colors.blueGrey,
      textTheme: TextTheme(
        headline1: const TextStyle(fontSize: 72.0, fontWeight: FontWeight.bold),
        headline2: GoogleFonts.roboto(
          fontSize: 17.0,
          fontStyle: FontStyle.normal,
          fontWeight: FontWeight.w700,
          color: textColor,
        ),
        headline3: GoogleFonts.roboto(
          fontSize: 13.0,
          fontStyle: FontStyle.normal,
          fontWeight: FontWeight.w700,
          color: textColor,
        ),
        bodyText2: GoogleFonts.roboto(
          fontSize: 10.0,
          fontStyle: FontStyle.normal,
          fontWeight: FontWeight.w400,
          color: textColor,
        ),
        button: GoogleFonts.roboto(
          fontSize: 12.0,
          fontStyle: FontStyle.normal,
          fontWeight: FontWeight.w600,
          color: textColor,
        ),
        caption: GoogleFonts.roboto(
          fontSize: 12.0,
          fontStyle: FontStyle.normal,
          fontWeight: FontWeight.w300,
        ),
      ),
    );
  }
}
